package org.esupportail.portal.channels.CIntranet.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.esupportail.portal.channels.CIntranet.actions.intranet.ViewDocument;
import org.esupportail.portal.channels.CIntranet.config.Config;
import org.jasig.portal.properties.PropertiesManager;

public class ViewDocumentServlet extends HttpServlet {

	private static final long serialVersionUID = 843149210743460558L;
	
	private static String casServer = PropertiesManager.getProperty(ViewDocument.CAS_URL_PROPERTY);
	private static String esupServer = PropertiesManager.getProperty(ViewDocument.PORTAL_URL_PROPERTY);
	private static String fName = Config.getInstance().getProperty("fname");
	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String intranet = request.getParameter("i");
		String folder = request.getParameter("f");
		String document = request.getParameter("d");
		
		if(intranet == null || folder == null || document == null) {
			response.sendError(HttpServletResponse.SC_NOT_FOUND);
		}
		else {
			StringBuffer url = new StringBuffer();
			url.append(casServer);
			url.append("?service=");
			url.append(esupServer);
			url.append("?uP_fname=");
			url.append(fName);
			url.append("%26uP_args%3Daction=viewdocument%7Cintranet%3D");
			url.append(intranet);
			url.append("%7Cfolder%3D");
			url.append(folder);
			url.append("%7Cid%3D");
			url.append(document);
			
			response.sendRedirect(url.toString());
		}
	}
}